Summary: Edward Loper's API Documentation Generation Tool
Name: epydoc
Version: 3.0.1
Release: %mkrel 17
Source0: http://prdownloads.dl.sourceforge.net/sourceforge/epydoc/%{name}-%{version}.tar.gz
# https://qa.mandriva.com/show_bug.cgi?id=62543
Patch0: epydoc_restructuredtext_Bug_62543.patch
License: IBM Open Source License
Group: Development/Python
BuildArchitectures: noarch
Url: http://epydoc.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-devel
Requires: tkinter
Requires: python-docutils

%description
Epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. A lightweight markup language called
epytext can be used to format docstrings, and to add information about
specific fields, such as parameters and instance variables. Epydoc
also understands docstrings written in ReStructuredText, Javadoc, and
plaintext.


%prep
%setup -q
%autopatch -p1

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p %buildroot%_mandir/man1
install -m 644 man/*.1 %buildroot%_mandir/man1

%files
%doc *.txt doc/
%_bindir/epydoc
%_bindir/epydocgui
%_bindir/apirst2html.py
%_mandir/man1/*
%py_puresitedir/*






%changelog
* Mon Feb 01 2016 umeabot <umeabot> 3.0.1-17.mga6
+ Revision: 930771
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.1-16.mga5
+ Revision: 740192
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.1-15.mga5
+ Revision: 726211
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.1-14.mga5
+ Revision: 679023
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.0.1-13.mga5
+ Revision: 628169
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.0.1-12.mga4
+ Revision: 542535
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.0.1-11.mga4
+ Revision: 497747
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 3.0.1-10.mga3
+ Revision: 349707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 steletch <steletch> 3.0.1-9.mga1
+ Revision: 67263
- imported package epydoc


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 3.0.1-9mdv2011.0
+ Revision: 640431
- rebuild to obsolete old packages

* Thu Feb 17 2011 Götz Waschk <waschk@mandriva.org> 3.0.1-8
+ Revision: 638199
- add missing dep on python-docutils

* Thu Feb 17 2011 Götz Waschk <waschk@mandriva.org> 3.0.1-7
+ Revision: 638147
- add patch to fix crash (bug #62543)

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 3.0.1-6mdv2011.0
+ Revision: 590792
- rebuild for py2.7

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 3.0.1-5mdv2011.0
+ Revision: 437481
- rebuild

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 3.0.1-4mdv2009.1
+ Revision: 318948
- rebuild for new python

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.0.1-3mdv2009.0
+ Revision: 244930
- rebuild

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 3.0.1-1mdv2008.1
+ Revision: 162561
- new version

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 3.0-1mdv2008.1
+ Revision: 160648
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2007.0
+ Revision: 88342
- Import epydoc

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2007.1
- update file list

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 2.1-4mdv2007.0
- spec fixes

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 2.1-3mdk
- Rebuild

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.1-2mdk
- Rebuild for new python

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1-1mdk
- initial package

